package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.EpidemicReport;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface EpidemicReportDAO {
	int insert(EpidemicReport entity);
	int update(EpidemicReport entity);
	int exist(String id);
	EpidemicReport get(String id);
	int delete(String id);
	List<EpidemicReport> list();
	List<EpidemicReport> search(Map<String, Object> searchParams, List<Sort> sortList);
}